package com.dsk.common.core.domain.entity;

import com.dsk.common.annotation.Excel;
import com.dsk.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 项目关联单位对象 business_relate_company
 *
 * @author lxl
 * @date 2023-05-17
 */
public class BusinessRelateCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 项目id */
    @Excel(name = "项目id")
    private Integer businessId;

    /** 单位id */
    @Excel(name = "单位id")
    private Integer companyId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String companyName;

    /** 单位角色 */
    @Excel(name = "单位角色")
    private String companyRole;

    /** 负责任人 */
    @Excel(name = "负责任人")
    private String responsiblePerson;

    /** 负责人电话 */
    @Excel(name = "负责人电话")
    private String phone;

    /** 对接深度/竞争力度 */
    @Excel(name = "对接深度/竞争力度")
    private String depth;

    public String getDepth() {
        return depth;
    }

    public void setDepth(String depth) {
        this.depth = depth;
    }

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setBusinessId(Integer businessId)
    {
        this.businessId = businessId;
    }

    public Integer getBusinessId()
    {
        return businessId;
    }
    public void setCompanyId(Integer companyId)
    {
        this.companyId = companyId;
    }

    public Integer getCompanyId()
    {
        return companyId;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public void setCompanyRole(String companyRole)
    {
        this.companyRole = companyRole;
    }

    public String getCompanyRole()
    {
        return companyRole;
    }
    public void setResponsiblePerson(String responsiblePerson)
    {
        this.responsiblePerson = responsiblePerson;
    }

    public String getResponsiblePerson()
    {
        return responsiblePerson;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("businessId", getBusinessId())
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("companyRole", getCompanyRole())
            .append("responsiblePerson", getResponsiblePerson())
            .append("phone", getPhone())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("depth", getDepth())
            .toString();
    }

    public BusinessRelateCompany(Integer businessId, Integer companyId, String companyName, String companyRole) {
        this.businessId = businessId;
        this.companyId = companyId;
        this.companyName = companyName;
        this.companyRole = companyRole;
    }
}
